.\"
.\" %nmhwarning%
.\" $Id$
.\"
.\" include the -mh macro file
.so %etcdir%/tmac.h
.\"
.TH RMM %manext1% MH.6.8 [%nmhversion%]
.SH NAME
rmm \- remove messages
.SH SYNOPSIS
.in +.5i
.ti -.5i
rmm
\%[+folder] \%[msgs]
\%[\-version]
\%[\-help]
.in -.5i
.SH DESCRIPTION
\fIRmm\fR removes the specified messages by renaming the message files
with preceding commas.  Many sites consider files that start with a comma
to be a temporary backup, and arrange for \fIcron\fR\0(8) to remove such
files once a day.

If the user has a profile component such as

	rmmproc:	/bin/rm

then instead of simply renaming the message file, \fIrmm\fR will call
the named program to delete the file.  Note that at most installations,
\fIcron\fR\0(8) is told to remove files that begin with a comma once
a night.

Some users of csh prefer the following:

	alias rmm 'refile +d'

where folder +d is a folder for deleted messages, and

	alias mexp 'rm `mhpath +d all`'

is used to \*(lqexpunge\*(rq deleted messages.

The current message is not changed by \fIrmm\fR, so a \fInext\fR  will
advance to the next message in the folder as expected.
.Fi
^$HOME/\&.mh\(ruprofile~^The user profile
.Pr
^Path:~^To determine the user's nmh directory
.Ps
^Current\-Folder:~^To find the default current folder
.Ps
^rmmproc:~^Program to delete the message
.Sa
rmf(1)
.De
`+folder' defaults to the current folder
.Ds
`msgs' defaults to cur
.Co
If a folder is given, it will become the current folder.
.Bu
Since \fIrefile\fR uses your \fIrmmproc\fP to delete the message,
the \fIrmmproc\fP must \fBNOT\fP call \fIrefile\fP without specifying
`\-normmproc', or you will create an infinte loop.
.En
